<?php
use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
 
/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model \common\models\LoginForm */
 
// $this->title = 'Sign In';
 
$fieldOptions1 = [
    'options' => ['class' => 'form-group has-feedback'],
    'inputTemplate' => "{input}<span class='glyphicon glyphicon-envelope form-control-feedback'></span>"
];
 
$fieldOptions2 = [
    'options' => ['class' => 'form-group has-feedback '],
    'inputTemplate' => "{input}<span  toggle='#password-field' class='glyphicon glyphicon-eye-open ' id='toggle-password'></span>"
];
?>

<div class="login-box auth_page">
    <div class="login-logo">
        <!-- <a href="#"><b>L</b>ogin</a> -->
    </div>
    <div class="login-box-body login" style="text-align: center;">
                <img class="login_logo" style="width: 141px;" src="https://ddraws.mo.vc/ddrsuperadmin/views/site/images/ddr_logo.png">
        
        <h1 class="login-box-msg box_title">Product Owner Admin</h1>
 
        <?php $form = ActiveForm::begin(['id' => 'login-form', 'enableClientValidation' => false]); ?>
 
        <?= $form
            ->field($model, 'username', $fieldOptions1)
            ->label(false)
            ->textInput(['placeholder' => $model->getAttributeLabel('Email')]) ?>
 
        <?= $form
            ->field($model, 'password', $fieldOptions2)
            ->label(false)
            // ->passwordInput(['placeholder' => 'password']) 
            ->passwordInput(['id' => 'user-password','placeholder' => 'Password']) ?>
        <div class="row">
            <div class="col-xs-12">
                <?= $form->field($model, 'rememberMe')->checkbox() ?>
            </div>
            <div class="col-xs-12">
                <?= Html::submitButton('Sign In', [
                    'class' => 'btn  btn-block btn_theme1 btn-flat', 
                    'name' => 'login-button']
                ) ?>
            </div>
        </div>
 
        <?php ActiveForm::end(); ?>
 
    </div>
 
</div>

<style>
    span#toggle-password {
    position: absolute;
    top: 0;
    right: 0;
    z-index: 11;
    display: block;
    width: 34px;
    height: 34px;
    line-height: 34px;
    text-align: center;
    /* pointer-events: none; */
    cursor: pointer;
}
    
</style>