<?php

use yii\helpers\Html;
// use yii\widgets\ActiveForm;
// use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use yii\helpers\Url;
use app\models\Countries;

use yii\helpers\ArrayHelper;


/* @var $this yii\web\View */
/* @var $model app\models\CompanyRegister */
/* @var $form yii\widgets\ActiveForm */
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <title>Create Serial Key</title>
  
  <!-- Bootstrap files from local folder  bootstrap.min.css is for front page design, jquery-1.11.2.js and bootstrap.min.js is for sub menu(ex:report)-->
  <link rel="stylesheet" href="css/bootstrap.min.css">
  
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">

<!-- jQuery library -->

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<!--<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/jquery.validate.min.js"></script>-->
<!--<script src="https://jqueryvalidation.org/files/dist/jquery.validate.min.js"></script>-->
<!--<script src="https://jqueryvalidation.org/files/dist/additional-methods.min.js"></script>-->

<!-- Latest compiled JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

<div class="page-heading-txt light marg-bot10">
  <!--<h1>Create Invoice & Specify Payment Terms</h1>-->

  <div class="back-page text-right">
      <div class="back-btn">
        <!--<img onclick="goBack()" src="<?php// echo base_url();?>/assets/dist/img/back-icon.svg" alt="Back" title="Back">-->
      </div>
  </div>
</div>
<div class="page-content top-radius mt-5">

  <div class="page-content-inner pad30">
    <div class="card">
        <div class="card-body">
              <div class="page-title">
                <h1>Create Serial Key</h1>
              </div>
              <?php
              $unique = substr(uniqid(rand(), true), 2, 2);
              $invoice = "INV-".date('y').date('m')."00".$id.$unique;  // well id
              ?>
              <!--<form action="<=//base_url('projectadmin/company/approveserial')?>" method="post" enctype="multipart/form-data" >-->
              <form method="post" name="serialkey" id="serialkey" action="index.php?r=site/licencepayment&id=<?=$id ?>" enctype="multipart/form-data">
                  <input type="hidden" name="_csrf" value="<?=Yii::$app->request->getCsrfToken()?>" />
            
            <input type="hidden" name="id" class="id" value="<?=$id?>">
              <input type="hidden" name="project" class="key" value="<?=$project?>">
              <input type="hidden" name="user" class="key" value="<?=$user?>">
                <div class="form-group hb mb-3">
                  <div for="email" class="pb-2"><b>Request Details:</b></div>
                  <span class="request_details">No of Wells: <span class="badge"><?php echo $project ?></span></span>
                  <span class="ml-3 request_details">No of Users: <span class="badge"><?php echo $user ?></span></span>
                </div>
                <div class="form-group text-left">
            
                  <label for="currency">Currency:</label>
                    <select class="form-control currency" name="currency" id="currency">
                    <option value="">--Choose currency--</option>
                    <?php
                    foreach($currency as $key => $val){
                       
                      ?>
                      <option data-id="<?=$val['format']?>" value="<?=$val['id']?>"><?php echo $val['name']." (".$val['code'].") (".$val['symbol'].")"?></option>		
                      <?php
                    }
                    ?>
                     <!--<option data-id="en-IN" value="96">rs</option> -->
                    </select> 
                <span class="error"></span>
                </div>
            
            	  
            	  	 <div class="form-group hb text-left">
                  <label for="email">Amount:</label> 
            	  <input type="text" maxlength="20" id="amount" name="amount"   class="form-control amount" value="" >
            	  <span class="error"></span>
            	  </div>
            	  
            	   <div class="form-group hb text-left">
                  <label for="email">Invoice No:</label>
            	  <input type="text" name="invoiceno" class="form-control" value="<?=$invoice?>"  readonly>
                  <span class="error"></span>	 
            	 </div>
            	
            	     
            	   <div class="form-group hb text-left">
                  <label for="file">Upload File:</label>
            	  <input type="file" name="file" id="file" >
                <span class="error"></span>
            	  </div>
            
            	  <div class="form-group hb text-left">
                  <label for="email">Licence:</label>
            	  <input type="text" name="licence" class="form-control licence">
            	  <span class="error"></span>
            	  </div>
            <div class="text-center">
                <button type="submit" class="btn submithb">Submit</button>
            </div>
            	 
              </form>
        </div>
    </div>
  </div>
</div>  

<style>
.error{
	color:red;
}
</style>



<script>

$(document).ready(function(){
        $("input#amount").keypress(function(event) {
  return /\d/.test(String.fromCharCode(event.keyCode));
});
  $(function() {
      
$("form[id='serialkey']").validate({   
rules: {
    currency:{
        required: true,
    },  
    invoiceno:{
        required: true,
        minlength: 3,
    },
     file:{
         required : true
     },
     licence_key:{
         required : true
     },
     amount: {   
         required: true,
        //  number: true
     },
     },
     submitHandler: function(form) {
         form.submit();
     }
 });
 });


</script>


<script>
//$(".file_name").innerHTML="No File Chosen";
function goBack() {
  window.history.back();
}

// CurrencyValue change
var amountType;
$('#currency').on('change', function (e) {
    // var optionSelected = $("option:selected", this);
    var valueSelected = this.value;
    amountType = $('option:selected', this).attr('data-id');
    let Amount = $("#amount").val().replace(/,/g,"");
    $("#amount").val(new Intl.NumberFormat(amountType).format(Amount))
    // alert(new Intl.NumberFormat(amountType).format(Amount));
});

  	 <?php 

 $permitted_chars = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz';
$char = substr(str_shuffle($permitted_chars), 0, 15);
$key=uniqid($char);
 
	  ?>
$("#amount").keyup(function(){


var licence = "<?=$key?>";
if($(this).val() == 0){
    $(".licence").val('');
}else{
    $(".licence").val(licence);
}
  // let changedFormat = new Intl.NumberFormat('en-IN');
  console.log(typeof this.value)
  let Amount = this.value.replace(/,/g,"");
  this.value = new Intl.NumberFormat(amountType).format(Amount)
  // console.log(this.value)
});



</script>
